// pages/myteam/myteam.js
const {
  api_teamMember_list,
} = require('../../utils/api.js');
const {
  net
} = require('../../utils/net.js');
Page({
  /**
   * 页面的初始数据
   */
  data: {
    height: "",
    dataArr: [],
    loadingFlag: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },
  // 获取团队列表
  getData() {
    let params = {
      url: api_teamMember_list
    }
    this.setData({
      loadingFlag: true
    })
    net.req(params).then((res) => {
      if (res && res.data && Array.isArray(res.data)) {
        this.setData({
          loadingFlag: false,
          dataArr: res.data || []
        })
      }
    })
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.getData();
    wx.stopPullDownRefresh();
  },
})