/**
 * 接口地址api，
 * 接口文档链接：http://www.xiaoyaoji.cn/doc/IxnvWtmCX
 */
const { api } = require(`./config.js`);
const apis = {
  api_upload_file: `${api}/common/upload/files`,
  api_update_photo: `${api}/distributor/miniproject/user/update-user`,

  // V2.0.0
  api_index_info: `${api}/rest/partner/mini/dataPresentation`, // 首页数据统计
  api_get_country_city: `${api}/rest/building/client/address/list`, // 获取国家城市
  api_get_user_info: `${api}/rest/partner/mini/userInfo`, // 获取用户信息
  api_search_city: `${api}/rest/building/client/address/search`, // 搜索城市
  api_school_list: `${api}/rest/building/client/school/list`, // 学校列表
  api_mobile_prefix: `${api}/rest/common/mobile/prefix`, // 手机号前缀
  api_user_verification: `${api}/rest/common/sms/verifyCode`, // 发送短信验证码
  api_mobile_login: `${api}/rest/user/partner/login`, // 手机号登录
  api_mobile_logout: `${api}/rest/user/partner/logout`, // 退出登录
  api_wx_login: `${api}/rest/user/partner/weapp/login`, // 微信授权登录
  api_leads_list: `${api}/rest/partner/mini/leads/list`, // 客户列表
  api_leads_info: `${api}/rest/partner/mini/leads/info`, // 客户详情
  api_leads_add: `${api}/rest/partner/mini/leads/create`, // 客户新建
  api_leads_selects: `${api}/rest/partner/mini/common/selects`, // 筛选数据
  api_get_qrcode: `${api}/rest/partner/mini/leads/expandedQrCode`, // 创建分享二维码
  api_leads_share_add: `${api}/rest/partner/mini/leads/shareCreate`, // 分享创建
  api_order_list: `${api}/rest/partner/mini/order/list`, // 订单列表
  api_order_info: `${api}/rest/partner/mini/order/info`, // 订单详情
  api_teamMember_list: `${api}/rest/partner/mini/teamMember/list`, // 团队列表
};
module.exports = apis;